The Makers of FDR®

September 26, 2006

INNOVATION DATA PROCESSING ANNOUNCEMENTS
IAM CUSTOMER ANNOUNCEMENTS

IAM Version 8.1 L05 is now available.

IAM V8.1/05 contains a HIPER FIX that resolves a potential data integrity problem. The HIPER FIX is only being distributed in IAM V8.1 level 05 and higher. This level of IAM contains all of the maintenance up through September 22, 2006. All IAM customers are urged to upgrade to IAM V8.1/05. To request this upgrade please contact Innovation at 973-890-7300, or send an e-mail to support@fdrinnovation.com.

A data integrity issue was discovered at one client that affects multi-tasking jobs that use multiple DD’s or ACB’s to process IAM files. This includes CICS and IAMRLS users. The data integrity exposure is greater with the use of the BELOWPOOL=YES Global Option or for IAM files that are on PAV eligible volumes. This problem can occur in a very unusual timing circumstance that caused an IAM channel program to be overlaid.

An additional problem can occur when using IAM files in PPRC sessions on Hitachi TagmaStore® Universal Storage Platform that results in the PPRC session being suspended. IAM V8.1 level 05 and higher will automatically circumvent this problem and Hitachi will correct this problem in V09 of the firmware with an anticipated availability of December 2006. All customers are highly encouraged to upgrade to this maintenance level.

Notes on V8.1/05 Changes
IAM 8.1/05 is distributed with a new internal VIF level identifier. This means that the IAM V8.1/05 load library can only be used after having activated the IAM VIF from the IAM V8.1/05 load library. This also means that IAM V8.1/05 must be started after your current version of IAM, and can be tested concurrently with any prior version or any prior V8.1 level.

Notes on changes for IAMRLS with CICS/TS 3.1 or higher
To resolve a problem with recovery performed on a warm restart of CICS/TS, the exits provided by IAM for use with IAMRLS have been changed. If you have these modules in a separate load library, please be sure to copy the new modules over. Also, there is a change in the specification for the PLTPI list required as shown below:

      DFHPLT TYPE=INITIAL,SUFFIX=X1                                       
      DFHPLT TYPE=ENTRY,PROGRAM=IAMXCINI  <<< required for CICS/TS V3.1 and up
      DFHPLT TYPE=ENTRY,PROGRAM=DFHDELIM                                  
      DFHPLT TYPE=ENTRY,PROGRAM=IAMXCINI                                   
      DFHPLT TYPE=FINAL                                                   
      END  

Please note the additional entry for IAMXCINI which MUST be before the entry for DFHDELIM. This only applies for CICS/TS V3.1 and higher.

Note on BUFSP and CICSBUFSP Global Options
Please note that these Global Options have been changed to new values for V8.1, and that the values are now specified K bytes, that is in increments of 1024 bytes. Prior versions specified the actual byte value. If you are going to set these Global Options to the values you had prior to V8.1, then YOU MUST DIVIDE THE PRE-V8.1 VALUES BY 1024 to get the correct specification.

Note on Prime Related Overflow
Innovation recommends that customers NOT set this as a default Global Option until careful testing has been done with this new file format. This file format is primarily useful for files with massive numbers of records in the overflow area, talking in terms of millions. PRO will likely not provide benefit for most typical datasets. Also, PRO should be carefully tested with the desired datasets prior to putting it into production to ensure that it will meet your performance requirements.

If you have any questions please contact Innovation Technical support at 973-890-7300, or send an e-mail to support@fdrinnovation.com.